Subject: Re: [X2Go-Dev] Bug#96: X2Go session in fullscreen does not adjust screen resolution to client-side display size

From: Mike Gabriel <[email-masked]>
Date: Mon, 08 Jan 2024 19:44:18 +0000

Control: close -1
Control: tag -1 wontfix

On  Mi 09 Jan 2013 12:35:36 CET, Mike Gabriel wrote:

> Package: x2goserver
> Severity: important
> Version: 4.0.0.0
>
> Hi Christoffer,
>
> I submit the below issue as a bug to X2Go BTS. I file it against  
> X2Go Server for now, however, a real fix is probably needed in  
> nx-libs xfixes extension. So we may reassign this issue later...
>
> On Mo 07 Jan 2013 11:01:26 CET christoffer krakou wrote:
>
>> Hello list
>>
>> [ ...]
>
>> On my Ubuntu 12.04 server. Now, when i connect using the x2goclient, it
>> works well when i select a resolution and run it in a window, but when i
>> select fullscreen, the resolution is 1920 X 1200, no matter the
>> resolution on the client monitor. This results in the Unity controls
>> being unusable. Before the upgrades, there were no trouble. Is anyone
>> else experiencing the same?
>
> It is very likely that not nx-libs caused this, but an upgrade of  
> x2goserver to version 4.0.0.0.
>
> In 4.0.0.0 we have added a configuration file (/etc/x2go/x2goagent)  
> that disables the GLX and the XFIXES extension. Obviously, disabling  
> the XFIXES extension causes problems in precise's Unity and the  
> screen resolution is not set properly anymore.
>
> For now, please comment out this line in x2goagent.options:
>
> --- /etc/x2go/x2goagent.options.orig    2013-01-09 12:27:24.755957564 +0100
> +++ /etc/x2go/x2goagent.options 2013-01-09 12:20:13.927957925 +0100
> @@ -7,7 +7,7 @@
>  # Disable XFIXES.
>  # Workaround for  
> https://bugs.launchpad.net/ubuntu/+source/libxfixes/+bug/985202
>  #
> -X2GO_NXAGENT_DEFAULT_OPTIONS+=" -extension XFIXES"
> +#X2GO_NXAGENT_DEFAULT_OPTIONS+=" -extension XFIXES"
>
>  # Disable GLX, the old mesa version is hopelessly outdated anyways.
>  # Unbreaks the gnome3 control center
>
> It seems that the XFIXES extension is used to detect the clients  
> screen resolution and hand it over to the desktop shell (or xrandr?).
>
> Still a little in the dark, but the above change in  
> x2goagent.options seems to solve the reported issue. However,  
> enabling XFIXES in x2goagent again leads to other problems, that  
> were lately discussed on IRC. Do what causes least problems for you...
>
> Mike's question at the other devs is: wouldn't it be better to  
> comment out the recommended extension disablings as opposed to  
> disabling the extension right away and expecting not-so-well tested  
> errors? Feedback? Opinions?

Report is about resizing of Unity7 (2d). Long gone, not supported anymore.

Closing...
Mike
-- 

DAS-NETZWERKTEAM
c\o Technik- und Ökologiezentrum Eckernförde
Mike Gabriel, Marienthaler Str. 17, 24340 Eckernförde
mobile: +49 (1520) 1976 148
landline: +49 (4351) 850 8940

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: [email-masked], http://das-netzwerkteam.de